Skip to main content
`Ctrl`+`K`

# SNESGetNumberFunctionEvals

Gets the number of user provided function evaluations done by the `SNES` object in the current or most recent `SNESSolve()`

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetNumberFunctionEvals(SNES snes, PetscInt *nfuncs)

Not Collective

## Input Parameter

- snes - `SNES` context

## Output Parameter

- nfuncs - number of evaluations

## Note

Reset every time `SNESSolve()` is called unless `SNESSetCountersReset()` is used.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetMaxLinearSolveFailures()`, `SNESGetLinearSolveIterations()`, `SNESSetMaxLinearSolveFailures()`, `SNESGetLinearSolveFailures()`, `SNESSetCountersReset()`

## Level

intermediate

## Location

src/snes/interface/snes.c

## Examples

src/ts/tutorials/ex30.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages